Autor Wątek: Krótkie tipsy dla użytkowników Plasma5 ("KDE5")  (Przeczytany 4996 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Krótkie tipsy dla użytkowników Plasma5 ("KDE5")
« dnia: Styczeń 02, 2015, 12:38:13 »
Najpierw kilka informacji ogólnych.
1. Wbrew FUDowi, który się szerzy tu i ówdzie - Plasma 5 jest już obecnie stabilna i nadaje się do pracy na "zwykłym" komputerze biurkowym
2. Obecny stan zaawansowania prac nad nią (KF 5.5.0 oraz Plasma 5.1.2) stanowi użyteczne środowisko, jednakże w porównaniu do ostatnich wydań KDE4 nie ma ono jeszcze wszystkich funkcjonalności tam znanych. W porównaniu z innymi środowiskami, prawidłowa odpowiedź brzmi: to zależy. Niektórą funkcjonalność zbliżoną do znanej z tych środowisk uzyskał, niektórej jeszcze nie, jeszcze inną znajdziemy w nim, a nie znajdziemy w tamtych środowiskach.
3. Wszelkie informacje i porady, które tutaj znajdziecie musicie oceniać na datę, w której została ona napisana. Będę się starał, przynajmniej jeśli chodzi o moje, na bieżąco je aktualizować.
4. Wszelkie informacje i porady zawarte poniżej są sprawdzone na systemie aktualnym na datę ich podania, zatem warto jest przed zastosowaniem którejś z nich wykonać aktualizację systemu.
5. Z uwagi na coraz większe różnice między Manjaro a Archem, informacje i porady podaję dla użytkowników Archa (nie mam Manjaro). Niektóre z nich będą, a inne nie będą mogły być wykorzystane w Manjaro.
6. Zakładam, że użytkownik korzysta z KF5 i Plasma5 z oficjalnych repozytoriów (czyli nie w wersji git).

Teraz już same porady.

1. Nie działa mi plasmoid X.
I działać nie będzie. Praktycznie wszelkie plasmoidy i widgety wykonane dla KDE4 nie będą działać na Plasma 5. Musimy poczekać na ich przeportowanie do KF5, Plasmy 5, QtQuick 2 itd. Do instalacji plasmoidów i innych elementów środowiska, obecnie lepiej wykorzystywać mechanizm wbudowany w KDE czyli Get Hot New Stuff (GHNS) aniżeli instalować paczki z AUR, chyba że z opisu określonej paczki w AUR lub treści PKGBUILDu wynika, że została ona dostosowana do Plasma 5.

2. Nie mogę znaleźć ustawień dla programów Gtk.
EDIT:
Dzisiejsza sytuacja jest następująca: w repozytorium [extra] znajdują się dwie paczki kde-gtk-config, jedna o dokładnie takiej nazwie przeznaczona jest dla KDE4 (nosi nr wersji 2.2.1), druga - kde-gtk-config-frameworks (nr wersji 5.2.2) jest dedykowana Plasma 5. Co dziwne, wersja 5.2.95, czyli beta Plasma 5.3 nosi również nazwę kde-gtk-config. Pożyjemy - zobaczymy, ale może to oznaczać, że albo zmianie nazwy ulegnie wersja dla KDE4, albo zniknie jako nierozwijana (z PKGBUILDu wynika, że zastępuje kde-gtk-config-frameworks, ale biorąc pod uwagę jej nazwę, to "zaktualizuje" również obecną paczkę dla KDE4 do wersji dla Plasma 5).

3. Nie działają mi tematy, kolory i inne elementy wystroju, pobrane z kde-look.org
I najprawdopodobniej działać nie będą. Plasma 5 w innych miejscach umieszcza pliki, które sterują tymi składnikami. Część z nich musi zostać dostosowana do Qt5, QML (itd.). Niektóre tematy, wzory kolorystyki itd. znajdziecie w dziale POLAUR http://www.archlike.darmowefora.pl/index.php/board,16.0.html. Jeśli chcielibyście inne, to albo proszę zrobić je samemu, albo zgłosić nam, być może uda się zrobić. Dla tego typu próśb zostanie założony odpowiedni wątek.

4. Skype niewidoczny w tacce systemowej
Rozwiązaniem jest pobranie paczek (są też PKGBUILDy) stąd: https://www.hightail.com/download/UlRTT201MHduSlE4RmNUQw i zainstalowanie ich w systemie, w którym jest Skype w wersji 4.x. Więcej: https://bbs.archlinux.org/viewtopic.php?pid=1487427#p1487427

5. Przyspieszmy KDE
EDIT: Całość tematu omówiona tu: http://www.archlike.darmowefora.pl/index.php/topic,284

6. Baloo długo zbiera infomacje.
Po pierwsze ustawmy Baloo w sposób odpowiedni.
Ustawienia systemowe -> Wyszukiwanie
Tutaj mamy 2 opcje. Pierwsza to Wyszukiwarka plazmy - zaznaczamy tylko te pliki, dla których chcemy wykorzystać mechanizm wyszukiwania na pulpicie. Druga to Wyszukiwanie na pulpicie - tutaj dodajemy do listy te katalogi, w których nie chcemy by informacje były wyszukiwane. Efektem obu jest zmniejszenie ilości danych indeksowanych przez Baloo.
Po każdej zmianie w zakresie opisanym wyżej i odczekaniu chwili (baloo bowiem po zmianach automatycznie przeszuka system, co chwilę trwa), warto jest w konsoli wykonać polecenie:
baloo_file_cleanerOczyści to bazę danych używanych przez Baloo. Polecenie to warto również wykonać, gdy przeniesie się jakąś zawartość z katalogu, który był dotychczas indeksowany do nieideksowanego.

7. Gdzie jest KMix i dlaczego nie uruchamia się automatycznie z pulpitem?
EDIT: Obecnie paczka z KDE o nazwie kmix dostarcza dwu paczek w Archu: kmix, które jest przeznaczone dla Plasma 5 oraz kdemultimedia-kmix dla KDE4.


« Ostatnia zmiana: Kwiecień 17, 2015, 11:16:25 wysłana przez pavbaranov »

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Krótkie tipsy dla użytkowników Plasma5 ("KDE5")
« Odpowiedź #1 dnia: Styczeń 03, 2015, 11:01:53 »
8. Jak u licha ciężkiego dostać się w Plasma5 do pulpitu, czyli gdzie jest aplet showdesktop.
Apletu nie ma. Jeszcze, bo pewnie w Plasma5.2 już będzie. Obecnie jednym ze sposobów jest dodać Pulpit do wyświetlanych okien, przy przełączaniu aplikacji (alt+tab). Rozwiązanie zresztą działa również w KDE4 i wówczas nie wymaga instalacji żadnego dodatkowego plasmoidu.

Ustawienia systemu -> Zarządzanie oknami -> Przełączanie zadań i zaznaczamy Uwzględnij ikonę "pokaż pulpit"

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Krótkie tipsy dla użytkowników Plasma5 ("KDE5")
« Odpowiedź #2 dnia: Styczeń 06, 2015, 12:43:08 »
9. Brak pełnego spolszczenia (bądź innej lokalizacji) środowiska mimo zainstalowania ki10n
Rozwiązanie przedstawione jest tu: http://www.archlike.darmowefora.pl/index.php/topic,173.msg693.html#msg693 Jak do tej pory nie istnieje rozwiązanie oparte o oficjalne repozytoria Archa.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Krótkie tipsy dla użytkowników Plasma5 ("KDE5")
« Odpowiedź #3 dnia: Styczeń 06, 2015, 13:10:00 »
10. Brakuje mi ustawień touchpada w KCM
No fakt. W wersji "oficjalnej" nie ma. Zainstaluj kcm-touchpad-frameworks-git z AUR. Powinno działać.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Krótkie tipsy dla użytkowników Plasma5 ("KDE5")
« Odpowiedź #4 dnia: Marzec 18, 2015, 13:34:18 »
Czas płynie nieubłaganie, a w ogródku KDE zachodzą ciągłe zmiany. Pora zatem nieco zmienić ten poradnik.

ad. 2 - KDE-Gtk-Config
Obecnie ten moduł KCM jest już dostępny w repozytorium [extra]. Instalacja:
# pacman -S kde-gtk-config-frameworksNajlepsze efekty "ujednolicenia" programów Gtk z praktycznie jedynym obecnie motywem Breeze w Plasma5, uzyskamy instalując motyw Orion dla Gtk. Jest on dostępny w AUR:
yaourt -S gtk-theme-orion gtk-theme-orion-darkTo 2 motywy: jasny i ciemny, które najlepiej sprawdzą się z Breeze i Breeze Dark.
Można również próbować z takimi motywami (w AUR) jak np. pochodząca z Manjaro Menda, albowiem ma ona wersje dla Qt i dla GTK.

ad. 7. - KMix
Od 3 wydania poprawkowego zbioru aplikacji KDE (14.12.3), KMix w wersji opartej o KF5 dostępny jest w repozytorium [extra], nowszą, poprawioną wersję, znajdziemy w repozytorium [kde-unstable]. Instalacja:
# pacman -S kmix
ad. 8. - Pokaż pulpit
Aplet showdesktop (pokaż pulpit) jest dostępny od wersji Plasma 5.2.

ad. 9. - Spolszczenie
Osoby, które stosują repozytorium [kde-unstable] spotkać się mogą z dużą ilością niespolszczonych pojęć w aplikacjach KDE, pomimo tego, że stan spolszczenia w KDE oceniany jest jako bardzo dobry. Powoduje to brak paczki kde-l10n-pl w najnowszej wersji. PKGBUILD prezentuję tu: http://www.archlike.darmowefora.pl/index.php/topic,269.0.html

ad. 10. - KCM-Touchpad
Również kcm-touchpad w wersji opartej o KF5, trafił do repozytorium (tym razem jest to [community]). Obecnie dostępna jest wersja 5.1.95-4, czyli w zasadzie RC dla Plasma 5.2. Przyznam, że nie mam najmniejszego pojęcia dlaczego kcm-touchpad nie trafił do wydania Plasma 5.2. Programu można spokojnie używać. Instalacja:
# pacman -S kcm-touchpad-frameworks
11. Dolphin w wersji opartej o KF5.
Niestety, całość kde-baseapps (czyli dolphin, kfind, kdepasswd, kdialog, keditbookmarks, konq-plugins, konqueror oraz biblioteka libkonq) w wersji opartej o KF5 pojawią się dopiero w sierpniowym wydaniu Aplikacji. Niemniej jednak, sam Dolphin został wyodrębniony z kde-baseapps. Obecnie możemy już łatwo go zbudować ze źródeł (dokładnie z GIT) i będzie to wersja oparta o KF5. Stosowny PKGBUILD został przygotowany w AUR. Instalacja:
yaourt -S dolphin-git
12. Migotanie bądź "skakanie" ekranu
Niektóre sterowniki grafiki powodują, że okna KDE "skaczą". Są 2 metody ominięcia tej dolegliwości,
- albo zmiana ustawień w:
Ustawienia systemowe -> Wyświetlanie i monitor -> Kompozytor
i tutaj trzeba od czasu do czasu zmienić Silnik wyświetlania z tego, który tam mamy na inny (na początek proponuję zmianę między wersjami 2.0 i 3.1 OpenGL),
- albo w tym samym miejscu jakie opisałem powyżej, ustawienie opcji "Zapobieganie smużeniu (synchronizacja pionowa):" na "Nigdy".

13. Brak ikon aplikacji Gtk lub Qt4 w zasobniku systemowym
Należy zainstalować, odpowiednio dla, aplikacji:
- Gtk+ 2.x - libappindicator-gtk2 yaourt -S libappindicator-gtk2- Gtk+ 3.x - libappindicator-gtk3 yaourt -S libappindicator-gtk3- Qt4 - sni-qt # pacman -S sni-qt- 32bitowych (oryginalnie, np. Skype) Qt4 - lib32-sni-qt # pacman -S lib32-sni-qtPowinno pomóc.
Jeśli ikony dla Skype nie będą nadal działać, proszę zainstalować dodatkowo: lib32-libdbusmenu-qt, lib32-qjson, lib32-qt4. Wszystkie są w repozytorium.
« Ostatnia zmiana: Marzec 20, 2015, 16:16:01 wysłana przez pavbaranov »

 

Polityka cookies
Darmowe Fora | Darmowe Forum
mixblackcity elitserienspeedway duesicilie loki felrumnignes